@ECHO OFF
echo -----------------------------------
echo   Handy-Faq.de Bootloader Re-Lock
echo       written by HSD-Pilot
echo -----------------------------------
echo     Have USB Debugging enabled!
echo -----------------------------------
@pause
echo Reboot Bootloader
adb reboot bootloader
echo Start Re-Lock
fastboot oem lock begin
fastboot flash gpt gpt_signed
fastboot oem fb_mode_set
fastboot flash motoboot motoboot
fastboot flash boot boot_signed
fastboot flash recovery recovery_signed
fastboot flash motobp motobp
fastboot flash system system_signed
fastboot flash cdrom cdrom_signed
fastboot erase userdata
fastboot erase cache
fastboot oem lock
fastboot oem fb_mode_clear
echo Rebooting....
fastboot reboot
echo -----------------------------------------
echo    Your Bootloader is now re-locked
echo -----------------------------------------
echo         Greets from Handy-Faq.de
echo -----------------------------------------
@pause